Bug 1122127 - [RFE] Monitor free volume space from ceilometer
Summary: [RFE] Monitor free volume space from ceilometer
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-ceilometer
Version: 5.0 (RHEL 7)
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 5.0 (RHEL 7)
Assignee: Eoghan Glynn
QA Contact: Yurii Prokulevych
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-22 15:24 UTC by Eduard Barrera
Modified: 2018-12-06 17:25 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-16 15:13:40 UTC


Attachments (Terms of Use)

Description Eduard Barrera 2014-07-22 15:24:40 UTC
Description of problem:

There is no way to monitor the free volume space we have with ceilometer

Customer asked a way to monitor a way to monitor free space in order to not exhaust all the free space they have.

In case  01122867  customer is asking a way to monitor RH Storage free space.

It could be useful also monitor CEPH and the cinder-volumes volume group.

Comment 2 Eoghan Glynn 2014-10-21 11:01:07 UTC
Presumably this RFE refers to the amount of remaining block storage capacity available for allocation in new or resized volumes?

If so, it relates to the follow session proposed for the Kilo design summit, as a result of a requirement raised by the Win the Enterprise working group:

  Capacity Headroom
  * The goal is to surface visibility to the remaining block storage
    capacity available for allocation in new or resized volumes
  * Requires that the update_sevice_capabilities RPC call made by all
    drivers contains an accurate determination of the total_capacity
    and allocated_capacity
  * The cinder scheduler could emit a periodic notification containing
    the total, to be consumed by ceilometer
  * (feature requested by the Win The Enterprise monitoring WG on the
     basis of operator feedback)

This will be discussed by the cinder team at the design summit scheduling discussion at their team meeting on Oct 22nd, 2014 16:00 UTC.

If it's accepted for the cinder track in Paris, then there's a chance this will be landed for Kilo (i.e. RHOS7 - thus untarget'ing from RHOS5). However note that most of the change will be required on the cinder side.

WRT "It could be useful also monitor CEPH", this sounds like a separate issue.


Note You need to log in before you can comment on or make changes to this bug.